package com.pj.project.relation_business_car;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.pj.utils.sg.*;

/**
 * 工具类：relation_business_car -- 
 * @author qzy 
 *
 */
@Component
public class RelationBusinessCarUtil {

	
	/** 底层 Mapper 对象 */
	public static RelationBusinessCarMapper relationBusinessCarMapper;
	@Autowired
	private void setRelationBusinessCarMapper(RelationBusinessCarMapper relationBusinessCarMapper) {
		RelationBusinessCarUtil.relationBusinessCarMapper = relationBusinessCarMapper;
	}
	
	
	/** 
	 * 将一个 RelationBusinessCar 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G] 
	 */
	static void check(RelationBusinessCar r) {
		AjaxError.throwByIsNull(r.getId(), "[] 不能为空");		// 验证:  
		AjaxError.throwByIsNull(r.getBusinessId(), "[] 不能为空");		// 验证:  
		AjaxError.throwByIsNull(r.getBusinessCarId(), "[] 不能为空");		// 验证:  
	}

	/** 
	 * 获取一个RelationBusinessCar (方便复制代码用) [G] 
	 */ 
	static RelationBusinessCar getRelationBusinessCar() {
		RelationBusinessCar r = new RelationBusinessCar();	// 声明对象 
		r.setId(0L);		//  
		r.setBusinessId("");		//  
		r.setBusinessCarId("");		//  
		return r;
	}
	
	
	
	
	
}
